PearPear

List notifications

Returns the authenticated user notifications, newest first.

GET
/notifications
x-api-key<token>

In: header

Query Parameters

limit?integer
Range0 < value <= 100
Default100
startDate?string|number
endDate?string|number
scope?string
Default"all"

Response Body

application/json

curl -X GET "https://example.com/notifications"
{  "notifications": [    {      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "category": "TAKE_PROFIT_HIT",      "parameters": {        "legs": [          {            "id": "string",            "symbol": "string",            "side": "BUY"          }        ],        "type": "take_profit",        "triggerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",        "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",        "connector": "hyperliquid",        "metric": "ratio",        "level": 0,        "reason": "string",        "semanticBracketType": "TAKE_PROFIT"      },      "isRead": true,      "createdAt": "string",      "updatedAt": "string"    }  ]}